# Integrating Group module with DKAN

Integrating [Group](https://www.drupal.org/project/group) module with DKAN.

Currently this is limited to publishers in a dataset (the properties name
needs to be `publisher`).

Publishers need to be added by an admin role first and then members need
to be assigned to the created group.

## Features

- Each publisher gets a corresponding group.
- Dataset that uses this publisher is added to this groups nodes
- A non admin user can only choose publishers on which corresponding group
the user is a member

## schema ui property

the schema ui property `groupRoleCheck` allows to define role(s) that are
able to create new publishers from within a dataset (autocreate feature).

the schema ui property 'groupRoleRequired' allows to define role(s) that
are required to chose a value for the publisher (i. e. conditionally require
a publisher, do not let users of these roles create content without publisher)

Example:
```
  "publisher": {
    "ui:options": {
      "widget": "list",
      "type": "autocomplete",
      "allowCreate": "true",
      "groupRoleCheck": ["publisher-admin", "publisher-admin_in"],
      "groupRoleRequire": ["group_role"],
      "source": {
        "metastoreSchema": "publisher"
      }
    },
```
