<?php

namespace Drupal\dkan_group;

use Drupal\Core\Entity\EntityRepositoryInterface;
use Drupal\Core\Entity\EntityTypeManagerInterface;

class DkanGroupHandler {

  /**
   * @var EntityRepositoryInterface
   */
  protected $entityRepository;

  /**
   * @var EntityTypeManagerInterface
   */
  protected $entityTypeManager;

  public function __construct(EntityRepositoryInterface $entity_repository, EntityTypeManagerInterface $entity_type_manager)
  {
    $this->entityRepository = $entity_repository;
    $this->entityTypeManager = $entity_type_manager;
  }

  public function getGroupFromPublisher($publisher_uuid) {
    $publisher = $this->entityRepository->loadEntityByUuid('node', $publisher_uuid);
    $groups = $this->entityTypeManager->getStorage('group')->loadByProperties(
      ['field_publisher_ref' => $publisher->id()]);
    return reset($groups);
  }
}
